Bug 240628 - sysutils/zfsnap2: Completion script link for zsh has wrong path
Summary: sysutils/zfsnap2: Completion script link for zsh has wrong path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-17 06:23 UTC by Christopher Hall
Modified: 2020-06-05 13:13 UTC (History)
2 users (show)

See Also:
jbeich: merge-quarterly+


Attachments
fixes zsh completion symlink (666 bytes, patch)
2019-09-17 06:23 UTC, Christopher Hall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Hall 2019-09-17 06:23:21 UTC
Created attachment 207548 [details]
fixes zsh completion symlink

zfsnap2 install the link for zsh completion with path ../../share/zsh but the relative path means the share is not required
Comment 1 commit-hook freebsd_committer 2020-03-14 19:44:49 UTC
A commit references this bug:

Author: pkelsey
Date: Sat Mar 14 19:43:44 UTC 2020
New revision: 358995
URL: https://svnweb.freebsd.org/changeset/base/358995

Log:
  Fix iflib freelist state corruption

  This fixes a bug in iflib freelist management that breaks the required
  correspondence between freelist indexes and driver ring slots.

  PR:		243126, 243392, 240628
  Reported by:	avg, alexandr.oleynikov@gmail.com, Harald Schmalzbauer
  Reviewed by:	avg, gallatin
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D23943

Changes:
  head/sys/net/iflib.c
Comment 2 commit-hook freebsd_committer 2020-03-14 19:55:51 UTC
A commit references this bug:

Author: pkelsey
Date: Sat Mar 14 19:55:06 UTC 2020
New revision: 358997
URL: https://svnweb.freebsd.org/changeset/base/358997

Log:
  Remove freelist contiguous-indexes assertion from rxd_frag_to_sd()

  The vmx driver is an example of an iflib driver that might report
  packets using non-contiguous descriptors (with unused descriptors
  either between received packets or between the fragments of a received
  packet), so this assertion needs to be removed.

  For such drivers, the freelist producer and consumer indexes don't
  relate directly to driver ring slots (the driver deals directly with
  freelist buffer indexes supplied by iflib during refill, and reports
  them with each fragment during packet reception), but do continue to
  be used by iflib for accounting, such as determining the number of
  ring slots that are refillable.

  PR:		243126, 243392, 240628
  Reported by:	avg, alexandr.oleynikov@gmail.com, Harald Schmalzbauer
  Reviewed by:	gallatin
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D23946

Changes:
  head/sys/net/iflib.c
Comment 3 commit-hook freebsd_committer 2020-03-14 20:08:56 UTC
A commit references this bug:

Author: pkelsey
Date: Sat Mar 14 20:08:05 UTC 2020
New revision: 359000
URL: https://svnweb.freebsd.org/changeset/base/359000

Log:
  Fix if_vmx receive checksum offload bug and harden against the device skipping receive descriptors

  This fixes a bug where the checksum offload status of received packets
  was being taken from the first descriptor instead of the last, which
  affected LRO packets.

  The driver has been hardened against the device skipping receive
  descriptors, although it is not believed that this can occur given the
  way this implementation configures the receive rings.

  Additionally, for packets received with the error indicator set, the
  driver now forces the length of all fragments in that packet to zero
  prior to passing it to iflib.  Such packets should wind up being
  discarded at some point in the stack anyway, but this removes any
  questions by killing them in the driver.

  Counters have been added (and exposed via sysctls) for skipped receive
  descriptors, zero-length packets received, and packets received with
  the error indicator set so that these conditions can be easily
  observed in the field.

  PR:		243126, 243392, 240628
  Reported by:	avg, alexandr.oleynikov@gmail.com, Harald Schmalzbauer
  Reviewed by:	gallatin
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D23949

Changes:
  head/sys/dev/vmware/vmxnet3/if_vmx.c
  head/sys/dev/vmware/vmxnet3/if_vmxvar.h
Comment 4 Patrick Kelsey freebsd_committer 2020-03-16 13:48:16 UTC
The commit logs in Comment 1 through Comment 3 were supposed to have referred to Bug 240608, not this one.
Comment 5 commit-hook freebsd_committer 2020-06-05 13:12:03 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jun  5 13:11:24 UTC 2020
New revision: 538016
URL: https://svnweb.freebsd.org/changeset/ports/538016

Log:
  sysutils/zfsnap2: fix ZSH symlink

  compinit:503: no such file or directory: /usr/local/share/zsh/site-functions/_zfsnap

  PR:		240628
  Submitted by:	Christopher Hall
  Approved by:	maintainer timeout (9 months)

Changes:
  head/sysutils/zfsnap2/Makefile
Comment 6 commit-hook freebsd_committer 2020-06-05 13:13:04 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jun  5 13:12:55 UTC 2020
New revision: 538017
URL: https://svnweb.freebsd.org/changeset/ports/538017

Log:
  MFH: r538016

  sysutils/zfsnap2: fix ZSH symlink

  compinit:503: no such file or directory: /usr/local/share/zsh/site-functions/_zfsnap

  PR:		240628
  Submitted by:	Christopher Hall
  Approved by:	maintainer timeout (9 months)
  Approved by:	ports-secteam blanket (runtime fix)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/sysutils/zfsnap2/Makefile